package ru.yandex.webmaster3.core.semantic.review_business.model.utilities;


import java.util.Date;

/**
 * User: Evgeny Zhoga <ezhoga@yandex-team.ru>
 * Date: 18.11.13
 */
public interface ModelDataReader {
    String getString(String name);
    Integer getInt(String name);
    Long getLong(String name);
    Float getFloat(String name);
    Double getDouble(String name);
    Boolean getBoolean(String name);
    Date getDate(String name);
    ModelDataReader getReaderFor(String name);
}

